package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 设备
 * </p>
 *
 * @author wh
 * @since 2024-01-17
 */
@TableName("hardware")
@ApiModel(value="Hardware对象", description="设备")
public class Hardware extends Model<Hardware> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "设备编号")
    @TableField("no")
    private String no;

    @ApiModelProperty(value = "位置id")
    @TableField("position_id")
    private Long positionId;

    @ApiModelProperty(value = "位置信息")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "位置信息")
    @TableField("position")
    private String position;

    @ApiModelProperty(value = "sim卡号")
    @TableField("sim_no")
    private String simNo;

    @ApiModelProperty(value = "sn码")
    @TableField("sn_code")
    private String snCode;

    @ApiModelProperty(value = "设备状态")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "设备随机码")
    @TableField("check_code")
    private String checkCode;

    @ApiModelProperty(value = "固件版本")
    @TableField("firmware_version")
    private String firmwareVersion;

    @ApiModelProperty(value = "imsi码")
    @TableField("imsi")
    private String imsi;

    @ApiModelProperty(value = "厕所id")
    @TableField("toilet_id")
    private Long toiletId;

    @ApiModelProperty(value = "楼id")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "楼层")
    @TableField("floor")
    private String floor;

    @ApiModelProperty(value = "区域id")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "物业id")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "代理id")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "设备型号")
    @TableField("version")
    private String version;

    @ApiModelProperty(value = "备注")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "保洁id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "蓝牙地址")
    @TableField("bluetooth_mac")
    private String bluetoothMac;

    @ApiModelProperty(value = "硬件名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "蓝牙名称")
    @TableField("bluetooth_name")
    private String bluetoothName;

    @ApiModelProperty(value = "安装场景0：厕位内:1：厕位外:2其它")
    @TableField("install_scenes")
    private Integer installScenes;

    @ApiModelProperty(value = "安装方式0:免打孔  1:打孔")
    @TableField("install_mode")
    private Integer installMode;

    @ApiModelProperty(value = "供电方式 0:电源 1:电池")
    @TableField("powered_type")
    private Integer poweredType;

    @ApiModelProperty(value = "设备上下线状态")
    @TableField("online")
    private Integer online;

    @TableField("sysversion")
    private String sysversion;

    @ApiModelProperty(value = "上线时间")
    @TableField("online_time")
    private Date onlineTime;

    @ApiModelProperty(value = "芯片号")
    @TableField("chip")
    private String chip;

    @ApiModelProperty(value = "主板号")
    @TableField("motherboard")
    private String motherboard;

    @ApiModelProperty(value = "质保期")
    @TableField("warranty_period")
    private Integer warrantyPeriod;

    @ApiModelProperty(value = "运行模式")
    @TableField("runl_mode")
    private Integer runlMode;

    @ApiModelProperty(value = "设备类型")
    @TableField("device_type")
    private Integer deviceType;

    @ApiModelProperty(value = "机芯更换时间")
    @TableField("machine_chip_time")
    private Date machineChipTime;

    @ApiModelProperty(value = "机芯编号")
    @TableField("machine_chip_code")
    private String machineChipCode;

    @ApiModelProperty(value = "当前机芯编号")
    @TableField("current_chip")
    private String currentChip;

    @ApiModelProperty(value = "锁定机器状态0:未锁定;1:已锁定")
    @TableField("lock_machine_state")
    private Integer lockMachineState;

    @ApiModelProperty(value = "语音版本")
    @TableField("voice_version")
    private String voiceVersion;

    @ApiModelProperty(value = "首次上线时间")
    @TableField("first_on_time")
    private Date firstOnTime;

    @ApiModelProperty(value = "保修截止日期")
    @TableField("warranty_expiration_time")
    private Date warrantyExpirationTime;

    @ApiModelProperty(value = "广告机版本")
    @TableField("advertise_version")
    private String advertiseVersion;

    @ApiModelProperty(value = "是否绑定NFC 0:否;1:是")
    @TableField("nfc_flag")
    private Integer nfcFlag;

    @ApiModelProperty(value = "nfcId")
    @TableField("nfc_id")
    private String nfcId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public Long getPositionId() {
        return positionId;
    }

    public void setPositionId(Long positionId) {
        this.positionId = positionId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getSimNo() {
        return simNo;
    }

    public void setSimNo(String simNo) {
        this.simNo = simNo;
    }

    public String getSnCode() {
        return snCode;
    }

    public void setSnCode(String snCode) {
        this.snCode = snCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getCheckCode() {
        return checkCode;
    }

    public void setCheckCode(String checkCode) {
        this.checkCode = checkCode;
    }

    public String getFirmwareVersion() {
        return firmwareVersion;
    }

    public void setFirmwareVersion(String firmwareVersion) {
        this.firmwareVersion = firmwareVersion;
    }

    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }

    public Long getToiletId() {
        return toiletId;
    }

    public void setToiletId(Long toiletId) {
        this.toiletId = toiletId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getBluetoothMac() {
        return bluetoothMac;
    }

    public void setBluetoothMac(String bluetoothMac) {
        this.bluetoothMac = bluetoothMac;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBluetoothName() {
        return bluetoothName;
    }

    public void setBluetoothName(String bluetoothName) {
        this.bluetoothName = bluetoothName;
    }

    public Integer getInstallScenes() {
        return installScenes;
    }

    public void setInstallScenes(Integer installScenes) {
        this.installScenes = installScenes;
    }

    public Integer getInstallMode() {
        return installMode;
    }

    public void setInstallMode(Integer installMode) {
        this.installMode = installMode;
    }

    public Integer getPoweredType() {
        return poweredType;
    }

    public void setPoweredType(Integer poweredType) {
        this.poweredType = poweredType;
    }

    public Integer getOnline() {
        return online;
    }

    public void setOnline(Integer online) {
        this.online = online;
    }

    public String getSysversion() {
        return sysversion;
    }

    public void setSysversion(String sysversion) {
        this.sysversion = sysversion;
    }

    public Date getOnlineTime() {
        return onlineTime;
    }

    public void setOnlineTime(Date onlineTime) {
        this.onlineTime = onlineTime;
    }

    public String getChip() {
        return chip;
    }

    public void setChip(String chip) {
        this.chip = chip;
    }

    public String getMotherboard() {
        return motherboard;
    }

    public void setMotherboard(String motherboard) {
        this.motherboard = motherboard;
    }

    public Integer getWarrantyPeriod() {
        return warrantyPeriod;
    }

    public void setWarrantyPeriod(Integer warrantyPeriod) {
        this.warrantyPeriod = warrantyPeriod;
    }

    public Integer getRunlMode() {
        return runlMode;
    }

    public void setRunlMode(Integer runlMode) {
        this.runlMode = runlMode;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    public Date getMachineChipTime() {
        return machineChipTime;
    }

    public void setMachineChipTime(Date machineChipTime) {
        this.machineChipTime = machineChipTime;
    }

    public String getMachineChipCode() {
        return machineChipCode;
    }

    public void setMachineChipCode(String machineChipCode) {
        this.machineChipCode = machineChipCode;
    }

    public String getCurrentChip() {
        return currentChip;
    }

    public void setCurrentChip(String currentChip) {
        this.currentChip = currentChip;
    }

    public Integer getLockMachineState() {
        return lockMachineState;
    }

    public void setLockMachineState(Integer lockMachineState) {
        this.lockMachineState = lockMachineState;
    }

    public String getVoiceVersion() {
        return voiceVersion;
    }

    public void setVoiceVersion(String voiceVersion) {
        this.voiceVersion = voiceVersion;
    }

    public Date getFirstOnTime() {
        return firstOnTime;
    }

    public void setFirstOnTime(Date firstOnTime) {
        this.firstOnTime = firstOnTime;
    }

    public Date getWarrantyExpirationTime() {
        return warrantyExpirationTime;
    }

    public void setWarrantyExpirationTime(Date warrantyExpirationTime) {
        this.warrantyExpirationTime = warrantyExpirationTime;
    }

    public String getAdvertiseVersion() {
        return advertiseVersion;
    }

    public void setAdvertiseVersion(String advertiseVersion) {
        this.advertiseVersion = advertiseVersion;
    }

    public Integer getNfcFlag() {
        return nfcFlag;
    }

    public void setNfcFlag(Integer nfcFlag) {
        this.nfcFlag = nfcFlag;
    }

    public String getNfcId() {
        return nfcId;
    }

    public void setNfcId(String nfcId) {
        this.nfcId = nfcId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Hardware{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", no=" + no +
        ", positionId=" + positionId +
        ", address=" + address +
        ", position=" + position +
        ", simNo=" + simNo +
        ", snCode=" + snCode +
        ", status=" + status +
        ", checkCode=" + checkCode +
        ", firmwareVersion=" + firmwareVersion +
        ", imsi=" + imsi +
        ", toiletId=" + toiletId +
        ", buildingId=" + buildingId +
        ", floor=" + floor +
        ", districtId=" + districtId +
        ", propertyId=" + propertyId +
        ", agentId=" + agentId +
        ", version=" + version +
        ", memo=" + memo +
        ", userId=" + userId +
        ", bluetoothMac=" + bluetoothMac +
        ", name=" + name +
        ", bluetoothName=" + bluetoothName +
        ", installScenes=" + installScenes +
        ", installMode=" + installMode +
        ", poweredType=" + poweredType +
        ", online=" + online +
        ", sysversion=" + sysversion +
        ", onlineTime=" + onlineTime +
        ", chip=" + chip +
        ", motherboard=" + motherboard +
        ", warrantyPeriod=" + warrantyPeriod +
        ", runlMode=" + runlMode +
        ", deviceType=" + deviceType +
        ", machineChipTime=" + machineChipTime +
        ", machineChipCode=" + machineChipCode +
        ", currentChip=" + currentChip +
        ", lockMachineState=" + lockMachineState +
        ", voiceVersion=" + voiceVersion +
        ", firstOnTime=" + firstOnTime +
        ", warrantyExpirationTime=" + warrantyExpirationTime +
        ", advertiseVersion=" + advertiseVersion +
        ", nfcFlag=" + nfcFlag +
        ", nfcId=" + nfcId +
        "}";
    }
}
